View Javadoc

    1   // ========================================================================
    2   // $Id: Resource.java 3680 2008-09-21 10:37:13Z janb $
    3   // Copyright 2006 Mort Bay Consulting Pty. Ltd.
    4   // ------------------------------------------------------------------------
    5   // Licensed under the Apache License, Version 2.0 (the "License");
    6   // you may not use this file except in compliance with the License.
    7   // You may obtain a copy of the License at
    8   // http://www.apache.org/licenses/LICENSE-2.0
    9   // Unless required by applicable law or agreed to in writing, software
    10  // distributed under the License is distributed on an "AS IS" BASIS,
    11  // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  // See the License for the specific language governing permissions and
    13  // limitations under the License.
    14  // ========================================================================
    15
    16  package org.mortbay.jetty.plus.naming;
    17
    18
    19  import javax.naming.NamingException;
    20
    21
    22
    23  /**
    24   * Resource
    25   *
    26   *
    27   */
    28  public class Resource extends NamingEntry
    29  {
    30
    31      public  Resource (Object scope, String jndiName, Object objToBind)
    32      throws NamingException
    33      {
    34          super(scope, jndiName, objToBind);
    35      }
    36
    37      /**
    38       * @param jndiName
    39       * @param objToBind
    40       */
    41      public Resource (String jndiName, Object objToBind)
    42      throws NamingException
    43      {
    44          super(jndiName, objToBind);
    45      }
    46
    47  }